List
curl --request GET \
--url https://{defaultHost}/v1/bulk_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/bulk_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/bulk_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/bulk_actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/bulk_actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/bulk_actions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/bulk_actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/bulk_actions"
},
"data": [
{
"id": "df6cf57f-924c-4c27-b3fa-1a640deebeb5",
"object": "bulk_action",
"action_type": "delete_products",
"record_ids": [
"5e0468b1-1b90-4bf9-a6b2-324a7f0414b2",
"a0c616f9-ac36-427e-8ec0-2890cdab9b40",
"1f1f0406-588b-46be-888a-6910a105044c",
"00cd303f-fd07-4d72-a360-d69e12c5dec9",
"30ff4b81-6a4d-40b5-a42c-b483b969b4fe"
],
"skipped_record_ids": [],
"status": "pending",
"created_at": 1792401267,
"updated_at": 1792401267
}
]
}Bulk Actions
List
Returns a list of your bulk actions.
GET
/
v1
/
bulk_actions
List
curl --request GET \
--url https://{defaultHost}/v1/bulk_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/bulk_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/bulk_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/bulk_actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/bulk_actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/bulk_actions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/bulk_actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/bulk_actions"
},
"data": [
{
"id": "df6cf57f-924c-4c27-b3fa-1a640deebeb5",
"object": "bulk_action",
"action_type": "delete_products",
"record_ids": [
"5e0468b1-1b90-4bf9-a6b2-324a7f0414b2",
"a0c616f9-ac36-427e-8ec0-2890cdab9b40",
"1f1f0406-588b-46be-888a-6910a105044c",
"00cd303f-fd07-4d72-a360-d69e12c5dec9",
"30ff4b81-6a4d-40b5-a42c-b483b969b4fe"
],
"skipped_record_ids": [],
"status": "pending",
"created_at": 1792401267,
"updated_at": 1792401267
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Was this page helpful?